All Classes Namespaces Functions Variables Groups Pages
HttpServer Namespace Reference

the main namespace for the HttpServer module More...

## Classes

class | AbstractAuthenticator
| abstract base class for external authentication More...
class | AbstractHttpRequestHandler
| abstract class that all HTTP request handler objects must inherit from More...
class | HttpServer
| The HttpServer class implements a multithreaded HTTP server primarily designed for serving RPC-style services. More...

## Functions

string | get_exception_string (hash ex)
| returns a multi-line string from the exception hash argument suitable for logging or output on the console
hash | parse_uri_query (string path)
| parses a URI path for a arguments and a method; where the method is the part of the path before the first `"?"` character, and arguments are after

## Detailed Description

the main namespace for the HttpServer module

To use this module, use `"%requires HttpServer"` in your code.

See examples/httpserver.q for an example program using this module

All the public symbols in the module are defined in this namespace

## Function Documentation

string HttpServer::get_exception_string | ( | hash | ex | ) |

returns a multi-line string from the exception hash argument suitable for logging or output on the console

Parameters

  ex | the exception hash to process

Returns
  a multi-line string from the exception hash argument suitable for logging or output on the console

hash HttpServer::parse_uri_query | ( | string | path | ) |

parses a URI path for a arguments and a method; where the method is the part of the path before the first `"?"` character, and arguments are after

Parameters

  path | the URI path to parse

Returns
  a hash with the following keys:
  - `method:` the part of the path before the first `"?"` character
  - `params:` (optional, only if a "?" character is present in the input) the part of the path after the first `"?"` character; arguments should be separated by ";" characters (according to a w3c recommendation: http://www.w3.org/TR/1999/REC-html401-19991224/appendix/notes.html#h-B.2.2)